set -x
if ! command -v fish &>/dev/null; then
	echo "Installing fish..."
	brew install fish
	echo "/opt/homebrew/bin/fish" | sudo tee -a /etc/shell
	chsh -s /opt/homebrew/bin/fish
fi
# Install cronmonitor
if ! command -v cronitor &>/dev/null; then
	echo "Installing cronitor..."
	curl https://cronitor.io/install-linux?sudo=1 -H "API-KEY: 66888414133740d8b3f0d1325e61484e" | sh
	cronitor discover
fi

# For shell configs
if ! command -v starship &>/dev/null; then
	echo "Installing starship..."
	brew install starship
	echo eval "$(starship init zsh)" >>~/.zshrc
fi

# Tmux
if ! command -v tmux &>/dev/null; then
	echo "Installing tmux..."
	brew install tmux
fi
brew install stow
